Module ij
Package ij.plugin

# Class CommandLister

java.lang.Object
ij.plugin.CommandLister

All Implemented Interfaces:
  `PlugIn`

public class CommandLister extends Object implements PlugIn
This class is used by the Plugins/Shortcuts/List Shortcuts command to display a list keyboard shortcuts.

## Constructor Summary

Constructors
Constructor
Description
`CommandLister()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getShortcuts()`
`void`
`listCommands()`
`void`
`listShortcuts()`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandLister

public CommandLister()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### listCommands

public void listCommands()

### listShortcuts

public void listShortcuts()

### getShortcuts

public String[] getShortcuts()